<?php
include 'components/connect.php';

session_start();

if(isset($_POST['submit'])){
    $email = filter_var($_POST['email'], FILTER_SANITIZE_EMAIL);
    $password = $_POST['password'];

    $query = $conn->prepare("SELECT * FROM users WHERE email = ?");
    $query->execute([$email]);
    $user = $query->fetch(PDO::FETCH_ASSOC);

    if($user && password_verify($password, $user['password'])){
        $_SESSION['user_id'] = $user['id'];
        $_SESSION['user_name'] = $user['name'];
        header("Location: view_products.php");
        exit();
    } else {
        $warning_msg[] = 'อีเมลหรือรหัสผ่านไม่ถูกต้อง!';
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <title>Login</title>
    <link rel="stylesheet" href="css/styles.css">
</head>
<body>
    <form action="" method="POST">
        <h2>เข้าสู่ระบบ</h2>
        <input type="email" name="email" required placeholder="อีเมล">
        <input type="password" name="password" required placeholder="รหัสผ่าน">
        <button type="submit" name="submit">เข้าสู่ระบบ</button>
        <p>ยังไม่มีบัญชี? <a href="register.php">สมัครสมาชิก</a></p>
    </form>
</body>
</html>
