<?php
include 'components/connect.php';

session_start();

if(isset($_POST['submit'])){
    $name = filter_var($_POST['name'], FILTER_SANITIZE_STRING);
    $email = filter_var($_POST['email'], FILTER_SANITIZE_EMAIL);
    $password = password_hash($_POST['password'], PASSWORD_DEFAULT);

    $check_email = $conn->prepare("SELECT * FROM users WHERE email = ?");
    $check_email->execute([$email]);

    if($check_email->rowCount() > 0){
        $warning_msg[] = 'Email นี้ถูกใช้งานแล้ว!';
    } else {
        $insert_user = $conn->prepare("INSERT INTO users(name, email, password) VALUES(?,?,?)");
        $insert_user->execute([$name, $email, $password]);
        $success_msg[] = 'สมัครสมาชิกสำเร็จ! กรุณาเข้าสู่ระบบ';
        header("Location: index.php");
        exit();
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <title>Register</title>
    <link rel="stylesheet" href="css/styles.css">
</head>
<body>
    <form action="" method="POST">
        <h2>สมัครสมาชิก</h2>
        <input type="text" name="name" required placeholder="ชื่อของคุณ">
        <input type="email" name="email" required placeholder="อีเมล">
        <input type="password" name="password" required placeholder="รหัสผ่าน">
        <button type="submit" name="submit">สมัครสมาชิก</button>
        <p>มีบัญชีแล้ว? <a href="index.php">เข้าสู่ระบบ</a></p>
    </form>
</body>
</html>
